SYNK
GET/track/audio-analysis

Returns deep audio analysis features like BPM, key, energy, danceability, and mood metrics for a specific track. This is a standalone version of the audioFeatures object in /track/info.

Rate limit
30 req/min
Caching
Cached forever.
Authentication
Send a User-Agent header containing a contact email. See authentication.

Parameters

NameTypeRequiredDescription
isrcstringrequiredThe ISRC of the track to analyse.

Request

curl 'https://api.synkradio.co.uk/track/audio-analysis?isrc=GBUM71505078' \
  -H 'User-Agent: [email protected]'

Try it

GETTry it
Sends a real request
https://api.synkradio.co.uk/track/audio-analysis?isrc=USQX91300809

Response

200 application/json
{
  "key": "F#/Gb",
  "keyIndex": 6,
  "mode": "Minor",
  "tempo": 116,
  "loudness": -8.966,
  "energy": 0.811,
  "danceability": 0.794,
  "valence": 0.862,
  "acousticness": 0.0426,
  "instrumentalness": 0.00000107,
  "liveness": 0.101,
  "speechiness": 0.038
}

Response schema

FieldTypeExampleDescription
keystring"F#/Gb"Musical key, written in standard notation.
keyIndexnumber6
modestring"Minor"
temponumber116
loudnessnumber-8.966
energynumber0.811Energy score between 0 and 1.
danceabilitynumber0.794Danceability score between 0 and 1.
valencenumber0.862Valence (musical positivity) between 0 and 1.
acousticnessnumber0.0426
instrumentalnessnumber0.00000107
livenessnumber0.101
speechinessnumber0.038